import type { CodeCache, ITransformFileResult, Options } from '../types';
export declare type FileInQueue = {
    name: string;
    code: string;
    only: string[];
} | null;
export declare function prepareForEvalSync(resolveCache: Map<string, string>, codeCache: CodeCache, resolve: (what: string, importer: string, stack: string[]) => string, resolvedFile: FileInQueue, options: Pick<Options, 'root' | 'pluginOptions' | 'inputSourceMap'>, stack?: string[]): ITransformFileResult[] | undefined;
/**
 * Parses the specified file and recursively all its dependencies,
 * finds tags, applies eval-time replacements, removes dead code.
 */
export default function prepareForEval(resolveCache: Map<string, string>, codeCache: CodeCache, resolve: (what: string, importer: string, stack: string[]) => Promise<string>, file: Promise<FileInQueue>, options: Pick<Options, 'root' | 'pluginOptions' | 'inputSourceMap'>, stack?: string[]): Promise<ITransformFileResult[] | undefined>;
